LINUX.ORG.RU

ATI HD2400 fglrx Прошу помощи


0

2

Прошу индивидуальной помощи(не поиски по форуму) Дело такое, Я НОВИЧЕК! Карточка ати, дистр debian wheezy. Как я понял в squeeze дрова фирменные есть, НО они не тянут 3 ядро в wheezy, а в sid фирменые дрова 12.6 версии, тянет 3 ядро, НО перестала поддерживать мою карту(с версии 12.4).

Качал с архивов 12.4 и орет на зависимости, боюсь как бы не положить - не рискую, так как у меня вообще при установке тестового(без иксов) дистра были дефекты в экране и приходилось только ставить стаблу и обновляться уже с дровами до теста. Поставил xserver-xorg-video-radeon и firmware-linux-nonfree (открытый драйвер)

И чувствую, что-то не так, выводы:

mrteray@linux:~$ grep AGP /boot/config-$(uname -r) CONFIG_AGP=y CONFIG_AGP_ALI=y CONFIG_AGP_ATI=y CONFIG_AGP_AMD=y CONFIG_AGP_AMD64=y CONFIG_AGP_INTEL=y CONFIG_AGP_NVIDIA=y CONFIG_AGP_SIS=y CONFIG_AGP_SWORKS=y CONFIG_AGP_VIA=y CONFIG_AGP_EFFICEON=y

FPS

285 frames in 5.0 seconds = 56.949 FPS 300 frames in 5.0 seconds = 59.884 FPS 283 frames in 5.0 seconds = 56.492 FPS 300 frames in 5.0 seconds = 59.883 FPS 299 frames in 5.0 seconds = 59.586 FPS 300 frames in 5.0 seconds = 59.981 FPS

и

mrteray@linux:~$ glxinfo name of display: :0 display: :0 screen: 0 direct rendering: Yes server glx vendor string: SGI server glx version string: 1.4 server glx extensions: GLX_ARB_multisample, GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_copy_sub_buffer, GLX_OML_swap_method, GLX_SGI_swap_control, GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, GLX_SGIX_visual_select_group, GLX_INTEL_swap_event client glx vendor string: Mesa Project and SGI client glx version string: 1.4 client glx extensions: GLX_ARB_create_context, GLX_ARB_create_context_profile, GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context, GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_EXT_framebuffer_sRGB, GLX_EXT_create_context_es2_profile, GLX_MESA_copy_sub_buffer, GLX_MESA_multithread_makecurrent, GLX_MESA_swap_control, GLX_OML_swap_method, GLX_OML_sync_control, GLX_SGI_make_current_read, GLX_SGI_swap_control, GLX_SGI_video_sync, GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, GLX_SGIX_visual_select_group, GLX_EXT_texture_from_pixmap, GLX_INTEL_swap_event GLX version: 1.4 GLX extensions: GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context, GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_copy_sub_buffer, GLX_MESA_multithread_makecurrent, GLX_MESA_swap_control, GLX_OML_swap_method, GLX_OML_sync_control, GLX_SGI_make_current_read, GLX_SGI_swap_control, GLX_SGI_video_sync, GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, GLX_SGIX_visual_select_group, GLX_EXT_texture_from_pixmap OpenGL vendor string: X.Org OpenGL renderer string: Gallium 0.4 on AMD RV610 OpenGL version string: 2.1 Mesa 8.0.3 OpenGL shading language version string: 1.20 OpenGL extensions: GL_ARB_multisample, GL_EXT_abgr, GL_EXT_bgra, GL_EXT_blend_color, GL_EXT_blend_minmax, GL_EXT_blend_subtract, GL_EXT_copy_texture, GL_EXT_polygon_offset, GL_EXT_subtexture, GL_EXT_texture_object, GL_EXT_vertex_array, GL_EXT_compiled_vertex_array, GL_EXT_texture, GL_EXT_texture3D, GL_IBM_rasterpos_clip, GL_ARB_point_parameters, GL_EXT_draw_range_elements, GL_EXT_packed_pixels, GL_EXT_point_parameters, GL_EXT_rescale_normal, GL_EXT_separate_specular_color, GL_EXT_texture_edge_clamp, GL_SGIS_generate_mipmap, GL_SGIS_texture_border_clamp, GL_SGIS_texture_edge_clamp, GL_SGIS_texture_lod, GL_ARB_framebuffer_sRGB, GL_ARB_multitexture, GL_EXT_framebuffer_sRGB, GL_IBM_multimode_draw_arrays, GL_IBM_texture_mirrored_repeat, GL_ARB_texture_cube_map, GL_ARB_texture_env_add, GL_ARB_transpose_matrix, GL_EXT_blend_func_separate, GL_EXT_fog_coord, GL_EXT_multi_draw_arrays, GL_EXT_secondary_color, GL_EXT_texture_env_add, GL_EXT_texture_filter_anisotropic, GL_EXT_texture_lod_bias, GL_INGR_blend_func_separate, GL_NV_blend_square, GL_NV_light_max_exponent, GL_NV_texgen_reflection, GL_NV_texture_env_combine4, GL_SUN_multi_draw_arrays, GL_ARB_texture_border_clamp, GL_ARB_texture_compression, GL_EXT_framebuffer_object, GL_EXT_texture_env_combine, GL_EXT_texture_env_dot3, GL_MESA_window_pos, GL_NV_packed_depth_stencil, GL_NV_texture_rectangle, GL_ARB_depth_texture, GL_ARB_occlusion_query, GL_ARB_shadow, GL_ARB_texture_env_combine, GL_ARB_texture_env_crossbar, GL_ARB_texture_env_dot3, GL_ARB_texture_mirrored_repeat, GL_ARB_window_pos, GL_EXT_stencil_two_side, GL_EXT_texture_cube_map, GL_NV_depth_clamp, GL_NV_fog_distance, GL_APPLE_packed_pixels, GL_APPLE_vertex_array_object, GL_ARB_draw_buffers, GL_ARB_fragment_program, GL_ARB_fragment_shader, GL_ARB_shader_objects, GL_ARB_vertex_program, GL_ARB_vertex_shader, GL_ATI_draw_buffers, GL_ATI_texture_env_combine3, GL_ATI_texture_float, GL_EXT_shadow_funcs, GL_EXT_stencil_wrap, GL_MESA_pack_invert, GL_NV_primitive_restart, GL_ARB_depth_clamp, GL_ARB_fragment_program_shadow, GL_ARB_half_float_pixel, GL_ARB_occlusion_query2, GL_ARB_point_sprite, GL_ARB_shading_language_100, GL_ARB_sync, GL_ARB_texture_non_power_of_two, GL_ARB_vertex_buffer_object, GL_ATI_blend_equation_separate, GL_EXT_blend_equation_separate, GL_OES_read_format, GL_ARB_color_buffer_float, GL_ARB_pixel_buffer_object, GL_ARB_texture_compression_rgtc, GL_ARB_texture_float, GL_ARB_texture_rectangle, GL_ATI_texture_compression_3dc, GL_EXT_packed_float, GL_EXT_pixel_buffer_object, GL_EXT_texture_compression_rgtc, GL_EXT_texture_mirror_clamp, GL_EXT_texture_rectangle, GL_EXT_texture_sRGB, GL_EXT_texture_shared_exponent, GL_ARB_framebuffer_object, GL_EXT_framebuffer_blit, GL_EXT_framebuffer_multisample, GL_EXT_packed_depth_stencil, GL_ARB_vertex_array_object, GL_ATI_separate_stencil, GL_ATI_texture_mirror_once, GL_EXT_draw_buffers2, GL_EXT_gpu_program_parameters, GL_EXT_texture_array, GL_EXT_texture_compression_latc, GL_EXT_texture_sRGB_decode, GL_EXT_timer_query, GL_OES_EGL_image, GL_MESA_texture_array, GL_ARB_copy_buffer, GL_ARB_depth_buffer_float, GL_ARB_half_float_vertex, GL_ARB_instanced_arrays, GL_ARB_map_buffer_range, GL_ARB_texture_rg, GL_ARB_texture_swizzle, GL_ARB_vertex_array_bgra, GL_EXT_separate_shader_objects, GL_EXT_texture_swizzle, GL_EXT_vertex_array_bgra, GL_NV_conditional_render, GL_AMD_draw_buffers_blend, GL_AMD_shader_stencil_export, GL_ARB_ES2_compatibility, GL_ARB_draw_buffers_blend, GL_ARB_draw_elements_base_vertex, GL_ARB_explicit_attrib_location, GL_ARB_fragment_coord_conventions, GL_ARB_provoking_vertex, GL_ARB_sampler_objects, GL_ARB_seamless_cube_map, GL_ARB_shader_stencil_export, GL_ARB_shader_texture_lod, GL_ARB_texture_rgb10_a2ui, GL_ARB_vertex_type_2_10_10_10_rev, GL_EXT_provoking_vertex, GL_EXT_texture_snorm, GL_MESA_texture_signed_rgba, GL_NV_texture_barrier, GL_ARB_robustness, GL_ARB_texture_storage

96 GLX Visuals

в настройках OPenGL не врубается, и при переключения tty на иксы, видны дефекты текста(во время переключения)

В общем, хотелось бы конечно попытаться настроить фирменный драйвер, если уже нет до по человечески открытый

Но блин, я делал как-то тоже самое и все было отлично, а сейчас хз что могло поменяться( месяц прошел)


Ответ на: впавп от TeRay

Если свободный нормально работает, то сиди на нем. Карта все равно не новая, проблем быть не должно.

Lamppost ★★ ()
Ответ на: комментарий от alpha4

спс

спасибо лейтенанту очевидность, но на убунте драйвера с 3 ядром есть, значит выход есть.. но убунту.. не ставлю

TeRay ()
Ответ на: комментарий от Lamppost

в том, то и дело, что я не чувствую нормальности, вывод должен быть

Прошу индивидуальной помощи(не поиски по форуму) Дело такое, Я НОВИЧЕК! Карточка ати, дистр debian wheezy. Как я понял в squeeze дрова фирменные есть, НО они не тянут 3 ядро в wheezy, а в sid фирменые дрова 12.6 версии, тянет 3 ядро, НО перестала поддерживать мою карту(с версии 12.4).

Качал с архивов 12.4 и орет на зависимости, боюсь как бы не положить - не рискую, так как у меня вообще при установке тестового(без иксов) дистра были дефекты в экране и приходилось только ставить стаблу и обновляться уже с дровами до теста. Поставил xserver-xorg-video-radeon и firmware-linux-nonfree (открытый драйвер)

И чувствую, что-то не так, выводы:

mrteray@linux:~$ grep AGP /boot/config-$(uname -r) CONFIG_AGP=y CONFIG_AGP_ALI=y CONFIG_AGP_ATI=y CONFIG_AGP_AMD=y CONFIG_AGP_AMD64=y CONFIG_AGP_INTEL=y CONFIG_AGP_NVIDIA=y CONFIG_AGP_SIS=y CONFIG_AGP_SWORKS=y CONFIG_AGP_VIA=y CONFIG_AGP_EFFICEON=y

С БУКВАМИ =m, и так было раньше, а сейчас хз почему...

вот хочу хотя бы открытый нормально настроить, а то еще дефекты бесят те о которых писал

TeRay ()

НО перестала поддерживать мою карту(с версии 12.4).

Значит так:

1) Недавно вышел драйвер catalyst 12.6 legacy c поддержкой вашей карточки

http://support.amd.com/us/kbarticles/Pages/catalyst126legacyproducts.aspx

2) sudo cast RussianNeuroMancer

3) Если будете ставить 12.6, то был тут недавно вот этоттред. Обратите внимание на сообщения RussianNeuroMancer в этом треде.

anonymous ()
Ответ на: комментарий от anonymous

НЕ ПОНИМАЮ!!!

===================================================================== AMD Catalyst(TM) Proprietary Driver Installer/Packager ===================================================================== Generating package: Debian/testing cp: cannot stat `/home/mrteray/fglrx-install.QuUwuc/x710/*': No such file or directory Package build failed! Package build utility output: dpkg-buildpackage: source package fglrx-installer dpkg-buildpackage: source version 8.97.100.3-1 dpkg-buildpackage: source changed by AMD: Advanced Micro Devices. <http://ati.amd.com/support/driver.html> dpkg-source --before-build fglrx.LSrsDu dpkg-buildpackage: host architecture i386 debian/rules build dh_testdir # move licenses away from binary dir if [ ! -d usr/share/doc/fglrx ]; then \ mkdir -p usr/share/doc/fglrx; \ mv usr/X11R6/bin/LICENSE.* usr/share/doc/fglrx; \ fi # set executable on user apps find usr/X11R6/bin -type f | xargs chmod a+x # remove exec bit from files that don't deserve it find usr/X11R6/include \ usr/X11R6/lib \ usr/X11R6/lib64 \ usr/share usr/src -type f | xargs chmod -x find: `usr/X11R6/include': No such file or directory find: `usr/X11R6/lib64': No such file or directory find lib -not -name «*.sh» -type f | xargs chmod -x find lib -name «*.sh» -type f | xargs chmod +x # set proper permissions on /etc files if [ -d etc/ati ]; then \ chmod 755 etc/ati ; \ chmod 644 etc/ati/* ; \ chmod a+x etc/ati/*.sh ; \ fi if [ -f debian/fglrx.default ]; then \ mv -v debian/fglrx.default debian/fglrx; \ fi `debian/fglrx.default' -> `debian/fglrx' debian/rules binary dh_testdir # move licenses away from binary dir if [ ! -d usr/share/doc/fglrx ]; then \ mkdir -p usr/share/doc/fglrx; \ mv usr/X11R6/bin/LICENSE.* usr/share/doc/fglrx; \ fi # set executable on user apps find usr/X11R6/bin -type f | xargs chmod a+x # remove exec bit from files that don't deserve it find usr/X11R6/include \ usr/X11R6/lib \ usr/X11R6/lib64 \ usr/share usr/src -type f | xargs chmod -x find: `usr/X11R6/include': No such file or directory find: `usr/X11R6/lib64': No such file or directory find lib -not -name «*.sh» -type f | xargs chmod -x find lib -name «*.sh» -type f | xargs chmod +x # set proper permissions on /etc files if [ -d etc/ati ]; then \ chmod 755 etc/ati ; \ chmod 644 etc/ati/* ; \ chmod a+x etc/ati/*.sh ; \ fi if [ -f debian/fglrx.default ]; then \ mv -v debian/fglrx.default debian/fglrx; \ fi dh_testdir dh_testroot dh_clean -k dh_clean: dh_clean -k is deprecated; use dh_prep instead dh_clean: Compatibility levels before 5 are deprecated (level 4 in use) dh_installdirs dh_installdirs: Compatibility levels before 5 are deprecated (level 4 in use) # Create the directories to install into dh_installdirs -pfglrx-driver \ usr \ usr/lib/xorg \ usr/lib/xorg/modules \ usr/lib/dri \ usr/bin \ usr/sbin \ etc/acpi \ etc/acpi/events \ etc/default \ etc/X11/Xsession.d dh_installdirs: Compatibility levels before 5 are deprecated (level 4 in use) dh_installdirs -pfglrx-driver-dev \ usr \ usr/include \ usr/lib dh_installdirs: Compatibility levels before 5 are deprecated (level 4 in use) dh_installdirs -pfglrx-kernel-src \ usr/src/modules/fglrx \ usr/src/modules/fglrx/debian dh_installdirs: Compatibility levels before 5 are deprecated (level 4 in use) dh_installdirs -A -pfglrx-amdcccle \ usr \ usr/bin \ usr/share \ usr/share/applnk \ usr/share/applications \ usr/share/icons \ usr/share/pixmaps dh_installdirs: Compatibility levels before 5 are deprecated (level 4 in use) dh_installdirs -p \ usr/src dh_installdirs: Compatibility levels before 5 are deprecated (level 4 in use) dh_install dh_install: Compatibility levels before 5 are deprecated (level 4 in use) ldconfig -n usr/X11R6/lib/ dh_install -pfglrx-driver «usr/X11R6/bin/fgl*» «usr/bin» dh_install: Compatibility levels before 5 are deprecated (level 4 in use) dh_install -pfglrx-driver «usr/X11R6/bin/aticonfig» «usr/bin» dh_install: Compatibility levels before 5 are deprecated (level 4 in use) dh_install -pfglrx-driver «usr/sbin/atieventsd» «usr/sbin» dh_install: Compatibility levels before 5 are deprecated (level 4 in use) dh_installman -pfglrx-driver «usr/share/man/man8/atieventsd.8» dh_installman: Compatibility levels before 5 are deprecated (level 4 in use) # amd64 needs some library redirection dh_install -pfglrx-driver «usr/X11R6/lib/*.so*» «usr/lib» dh_install: Compatibility levels before 5 are deprecated (level 4 in use) dh_install -pfglrx-driver «usr/X11R6/lib/modules/dri» «usr/lib» dh_install: Compatibility levels before 5 are deprecated (level 4 in use) dh_install -pfglrx-driver «usr/X11R6/lib/modules/linux» «usr/lib/xorg/modules» dh_install: Compatibility levels before 5 are deprecated (level 4 in use) cp: cannot stat `./usr/X11R6/lib/modules/linux': No such file or directory dh_install: cp -a ./usr/X11R6/lib/modules/linux debian/fglrx-driver/usr/lib/xorg/modules/ returned exit code 1 make: *** [binary] Error 2 dpkg-buildpackage: error: debian/rules binary gave error exit status 2 Removing temporary directory: fglrx-install.QuUwuc

TeRay ()
Ответ на: НЕ ПОНИМАЮ!!! от TeRay

Re: НЕ ПОНИМАЮ!!!

TeRay

1) Открываете консоль и выполняете команды

cd ~/; 

mkdir catalyst12.6; 

cd catalyst12.6/

wget http://www2.ati.com/drivers/linux/amd-driver-installer-12-6-x86.x86_64.run

chmod +x amd-driver-installer-12-6-x86.x86_64.run

2) Читаете этот тред, при этом внимательно смотрите на этот комментарий RussianNeuroMancer и делаете тоже самое.

anonymous ()

AMD перенесли усилия по поддержке железа на базе чипов R600 (ваша видеокарта) и R700 на разработчиков свободного драйвера, который уже есть у вас. Он не менее «фирменный», потому что разрабатывается самой же AMD.

285 frames in 5.0 seconds = 56.949 FPS 300 frames in 5.0 seconds = 59.884 FPS 283 frames in 5.0 seconds = 56.492 FPS 300 frames in 5.0 seconds = 59.883 FPS 299 frames in 5.0 seconds = 59.586 FPS 300 frames in 5.0 seconds = 59.981 FPS

Всё так, у свободного драйвера по-умолчанию принудительный V-Sync.

в настройках OPenGL не врубается

В настройках чего? В Ubuntu та же проблема есть?

и при переключения tty на иксы, видны дефекты текста(во время переключения)

Пишите багрепорт (для начала в багтрекер Debian).

RussianNeuroMancer ★★★★★ ()
Ответ на: Re: НЕ ПОНИМАЮ!!! от anonymous

Re: НЕ ПОНИМАЮ!!!

Забыл дописать, что после команды

chmod +x amd-driver-installer-12-6-x86.x86_64.run 

надо выполнить

sh amd-driver-installer-12-6-x86.x86_64.run --extract driver 

откроется инсталлятор и вы должны сгенерировать deb пакеты.

Команды брал отсюда

http://wiki.cchtml.com/index.php/Ubuntu_Precise_Installation_Guide#Unsupporte...

anonymous ()
Ответ на: Re: НЕ ПОНИМАЮ!!! от anonymous

Не поможет, т.к. у него зависимости для сборки пакета не установлены, а тот мой комментарий относился к 12.6 release, а не 12.6 legacy beta (для beta нужно не только control из релиза пихать, но и signature). Я пока не понимаю, зачем владельцу Radeon HD 2400 вообще может понадобиться проприетарный драйвер. OpenGL должен прекрасно работать что в Debian Wheezy, что в Ubuntu/Kubuntu 12.04.

RussianNeuroMancer ★★★★★ ()
Ответ на: комментарий от RussianNeuroMancer

Не поможет, т.к. у него зависимости для сборки пакета не установлены, а тот > мой комментарий относился к 12.6 release, а не 12.6 legacy beta (для beta нужно > не только control из релиза пихать, но и signature).

Ну ясно, тогда киньте ссылку на этот файл signature, а то в вашей новости про релиз 12.6 (не legacy) ваша ссылка уже не работает, чтоб человек не мучался.

Насчет свободных дров. Ну это его дело использовать их или пока пробывать оставаться на каталисте, тем более если у него debian wheezy.

anonymous ()
Ответ на: комментарий от RussianNeuroMancer

НОВАЯ ОШИБКА

===================================================================== AMD Catalyst(TM) Proprietary Driver Installer/Packager ===================================================================== Generating package: Debian/testing cp: cannot stat `/home/mrteray/fglrx-install.kIpj4g/x710/*': No such file or directory Package build failed! Package build utility output: dpkg-buildpackage: warning: using a gain-root-command while being root dpkg-buildpackage: source package fglrx-installer dpkg-buildpackage: source version 8.97.100.3-1 dpkg-buildpackage: source changed by AMD: Advanced Micro Devices. <http://ati.amd.com/support/driver.html> dpkg-source --before-build fglrx.fi0YbM dpkg-buildpackage: host architecture i386 debian/rules build dh_testdir # move licenses away from binary dir if [ ! -d usr/share/doc/fglrx ]; then \ mkdir -p usr/share/doc/fglrx; \ mv usr/X11R6/bin/LICENSE.* usr/share/doc/fglrx; \ fi # set executable on user apps find usr/X11R6/bin -type f | xargs chmod a+x # remove exec bit from files that don't deserve it find usr/X11R6/include \ usr/X11R6/lib \ usr/X11R6/lib64 \ usr/share usr/src -type f | xargs chmod -x find: `usr/X11R6/include': No such file or directory find: `usr/X11R6/lib64': No such file or directory find lib -not -name «*.sh» -type f | xargs chmod -x find lib -name «*.sh» -type f | xargs chmod +x # set proper permissions on /etc files if [ -d etc/ati ]; then \ chmod 755 etc/ati ; \ chmod 644 etc/ati/* ; \ chmod a+x etc/ati/*.sh ; \ fi if [ -f debian/fglrx.default ]; then \ mv -v debian/fglrx.default debian/fglrx; \ fi `debian/fglrx.default' -> `debian/fglrx' fakeroot debian/rules binary fakeroot: FAKEROOTKEY set to 32892071 fakeroot: nested operation not yet supported dpkg-buildpackage: error: fakeroot debian/rules binary gave error exit status 1 Removing temporary directory: fglrx-install.kIpj4g

TeRay ()
Ответ на: комментарий от RussianNeuroMancer

Ну объясните человеку, как его установить (у меня сейчас ноут с интелом). Вас поэтому и скастовали сюда, так как вы лучше знаете о драйверах для карточек amd (ati) и можете помочь новичку (как написал ТС) установить драйвер, скаченный с сайта.

anonymous ()
Ответ на: комментарий от RussianNeuroMancer

хорошо, тогда, давайте мы решим вопрос по другому, раньше чувствовал себя хорошо и на открытых, но почему сейчас появились эти самые баги? вот например открытый драйвер должен выдавать мне

буквы =m в выхлопе, и это было раньше, а теперь выдает одни =у

я писал выхлоп...

давайте тогда так, вы мне команды, я вам выхлопы... и постмотрим, что не так... мне хватало установить один xserver...-...--..radeon чтобы кеды поднялись, а теперь мне пришлось все семейство иксов припилить

TeRay ()
Ответ на: комментарий от RussianNeuroMancer

у него зависимости для сборки пакета не установлены

Здесь вроде есть список зависимостей. Только подойдут ли они для дебиана?

anonymous ()
Ответ на: комментарий от anonymous

Ну ясно, тогда киньте ссылку на этот файл signature

http://wiki.cchtml.com/index.php/Amd_watermark (соответственно для беты нужно брать signature из предыдущего релиза).

Ну объясните человеку, как его установить (у меня сейчас ноут с интелом). Вас поэтому и скастовали сюда, так как вы лучше знаете о драйверах для карточек amd (ati) и можете помочь новичку (как написал ТС) установить драйвер, скаченный с сайта.

Новичок в явной форме (предпоследняя строка первого сообщения) обозначил, что вариант со свободным драйвером является приемлемым (если удастся решить проблему с использованием OpenGL, пока не понятно где). На мой взгляд в данном случае (Radeon HD 2400, Debian testing и то, что ТС - новичёк) следует отдать предпочтение свободному драйверу. Попытки установить проприетарный, а потом обновлять его, принесут ему больше проблем, чем пользы (пример: он сгенерирует пакеты, успешно поставит их, а потом, когда в репы положат Catalyst 12.8 beta или release, обновит их, с сами понимаете каким результатом).

RussianNeuroMancer ★★★★★ ()
Ответ на: комментарий от TeRay

ВОТ!

http://wiki.debian.org/ru/AtiHowTo

mrteray@linux:~$ lspci -v | grep VGA 04:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI RV610 video device [Radeon HD 2400 PRO] (prog-if 00 [VGA controller])

mrteray@linux:~$ dmesg | grep firmware mrteray@linux:~$

mrteray@linux:~$ grep DRM_RADEON /boot/config-$(uname -r) CONFIG_DRM_RADEON=m CONFIG_DRM_RADEON_KMS=y

mrteray@linux:~$ grep AGP /boot/config-$(uname -r) CONFIG_AGP=y CONFIG_AGP_ALI=y CONFIG_AGP_ATI=y CONFIG_AGP_AMD=y CONFIG_AGP_AMD64=y CONFIG_AGP_INTEL=y CONFIG_AGP_NVIDIA=y CONFIG_AGP_SIS=y CONFIG_AGP_SWORKS=y CONFIG_AGP_VIA=y CONFIG_AGP_EFFICEON=y

mrteray@linux:~$ cat /etc/X11/xorg.conf Section «ServerLayout» Identifier «aticonfig Layout» Screen 0 «aticonfig-Screen[0]-0» 0 0 EndSection

Section «Module» EndSection

Section «Monitor» Identifier «aticonfig-Monitor[0]-0» Option «VendorName» «ATI Proprietary Driver» Option «ModelName» «Generic Autodetecting Monitor» Option «DPMS» «true» EndSection

Section «Device» # Identifier «aticonfig-Device[0]-0» Identifier «Device0» Driver «radeon» # BusID «PCI:4:0:0» EndSection

Section «Screen» Identifier «aticonfig-Screen[0]-0» Device «aticonfig-Device[0]-0» Monitor «aticonfig-Monitor[0]-0» DefaultDepth 24 SubSection «Display» Viewport 0 0 Depth 24 EndSubSection EndSection

TeRay ()
Ответ на: комментарий от TeRay

но почему сейчас появились эти самые баги?

В каком приложении не работает OpenGL?

ВОТ!

Или уже работает?

RussianNeuroMancer ★★★★★ ()

У меня такая же видеокарта на ноуте с линупсом. Ставил fglrx с офсайта и все было хорошо (кроме hibernate/suspend) или ставил в squeeze radeon из реп - и все отлично работало, но без 3d ускорения.

bk_ ★★ ()
Ответ на: комментарий от anonymous

Это что получается, что amd выпустит не один легаси драйвер для r600?

Catalyst 12.8 как раз скорее всего уже не будет поддерживать legacy, и после обновления вручную установленного 12.6 legacy beta до 12.8, он на 2400 уже не взлетит.

RussianNeuroMancer ★★★★★ ()
Ответ на: комментарий от RussianNeuroMancer

я писал, что ставил=))

если бы я его не поставил, то я бы даже не увидел консоль, вот и по этому я сначала ставил стаблу, а потом обновлялся, когда ради интереса поставил убунту, то там на 3 ядре(та 12 версия убунты) норм пахали фирменые предложили обновит даже))

TeRay ()
Ответ на: комментарий от RussianNeuroMancer

у свободного драйвера по-умолчанию принудительный V-Sync

кстати, есть возможность его вырубить? в настройках кеды галка «use v-sync» снята.

просто я не вижу в нем никакой пользы

ТСу: используй свободные дрова. поиграть в YOBA на этом динозавре всё равно не получится.

Ford_Focus ★★★★★ ()
Ответ на: комментарий от Ford_Focus

кстати, есть возможность его вырубить? в настройках кеды галка «use v-sync» снята.

Есть переменная окружения, но я её не помню. Зачем больше FPS, чем может выдать ваш монитор?

просто я не вижу в нем никакой пользы

Тиринг устраняет.

RussianNeuroMancer ★★★★★ ()
Ответ на: комментарий от TeRay

Запустите systemsettings в Konsole, откройте настройки эффектов, выложите вывод из Konsole сюда. Для выкладывания текста из Konsoleиспользуйте тег [cоde].

RussianNeuroMancer ★★★★★ ()
Последнее исправление: RussianNeuroMancer (всего исправлений: 1)
Ответ на: спс от TeRay

но на убунте драйвера с 3 ядром есть, значит выход есть.. но убунту.. не ставлю

то что они там есть не значит что они работают. Ваш копетан.

Deleted ()
Ответ на: комментарий от RussianNeuroMancer

лишняя и вполне весомая нагрузка на карточку. а тиринга у меня нет (или не замечаю).

спасибо что сказал, а то я гадал в чем причина - на проприетарном моя 6770 выдавала пятизначное число fps, а на свободном - 60

Ford_Focus ★★★★★ ()
Ответ на: комментарий от RussianNeuroMancer
mrteray@linux:~$ systemsettings
OpenGL vendor string:                   X.Org
OpenGL renderer string:                 Gallium 0.4 on AMD RV610
OpenGL version string:                  2.1 Mesa 8.0.3
OpenGL shading language version string: 1.20
Driver:                                 R600G
GPU class:                              R600
OpenGL version:                         2.1
GLSL version:                           1.20
Mesa version:                           8.0.3
X server version:                       1.12.1
Linux kernel version:                   3.2
Direct rendering:                       yes
Requires strict binding:                no
GLSL shaders:                           yes
Texture NPOT support:                   yes
OpenGL vendor string:                   X.Org
OpenGL renderer string:                 Gallium 0.4 on AMD RV610
OpenGL version string:                  2.1 Mesa 8.0.3
OpenGL shading language version string: 1.20
Driver:                                 R600G
GPU class:                              R600
OpenGL version:                         2.1
GLSL version:                           1.20
Mesa version:                           8.0.3
X server version:                       1.12.1
Linux kernel version:                   3.2
Direct rendering:                       yes
Requires strict binding:                no
GLSL shaders:                           yes
Texture NPOT support:                   yes
OpenGL vendor string:                   X.Org
OpenGL renderer string:                 Gallium 0.4 on AMD RV610
OpenGL version string:                  2.1 Mesa 8.0.3
OpenGL shading language version string: 1.20
Driver:                                 R600G
GPU class:                              R600
OpenGL version:                         2.1
GLSL version:                           1.20
Mesa version:                           8.0.3
X server version:                       1.12.1
Linux kernel version:                   3.2
Direct rendering:                       yes
Requires strict binding:                no
GLSL shaders:                           yes
Texture NPOT support:                   yes
OpenGL vendor string:                   X.Org
OpenGL renderer string:                 Gallium 0.4 on AMD RV610
OpenGL version string:                  2.1 Mesa 8.0.3
OpenGL shading language version string: 1.20
Driver:                                 R600G
GPU class:                              R600
OpenGL version:                         2.1
GLSL version:                           1.20
Mesa version:                           8.0.3
X server version:                       1.12.1
Linux kernel version:                   3.2
Direct rendering:                       yes
Requires strict binding:                no
GLSL shaders:                           yes
Texture NPOT support:                   yes
OpenGL vendor string:                   X.Org
OpenGL renderer string:                 Gallium 0.4 on AMD RV610
OpenGL version string:                  2.1 Mesa 8.0.3
OpenGL shading language version string: 1.20
Driver:                                 R600G
GPU class:                              R600
OpenGL version:                         2.1
GLSL version:                           1.20
Mesa version:                           8.0.3
X server version:                       1.12.1
Linux kernel version:                   3.2
Direct rendering:                       yes
Requires strict binding:                no
GLSL shaders:                           yes
Texture NPOT support:                   yes
TeRay ()
Ответ на: комментарий от TeRay

Попробуем быстрый способ

Удалите файл kwinrc из каталога .kde/share/config в вашей домашней директории, и перелогиньтесь/перезагрузитесь.

RussianNeuroMancer ★★★★★ ()
Ответ на: комментарий от TeRay

О, что-то похожее было. Помогло ( хотя точно не помню) перемещение (или удаление) пользовательских настроек kde ( это каталог .kde4 ( в убунте - .kde) в домашней директории).

anonymous ()
Ответ на: Попробуем быстрый способ от RussianNeuroMancer

теперь поменялся на опен, но вовопрос в том, что при загрузки (до ввода пароля) моргнул дефект на мониторе(это уже было) и сейчас у меня нижняя панель с прозрачной превратилось убого-черную)

да бл... нормально все работает....(((

TeRay ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.